# meds/bots/cli.py
#
#

""" console line interface bot. """

__copyright__ = "Copyright (c) 2016 Bart Thate, all rights disclaimed."

from meds.scheduler import scheduler, launcher
from meds.misc import parse_cli, get_exception
from meds.log import GREEN, ENDC
from meds.object import Object
from meds.event import Event
from meds.plugs import plugs
from meds.bots import Bot
from meds.cfg import cfg

import logging
import time
import sys
import os

class CLI(Bot):

    cc = "none"
    default = ""

    def dispatch(self, event): event.dispatch() ; event.wait() 

    def event(self):
        event = Event()
        event._bot = self
        event.txt = input(self.prompt())
        event.origin = "root@shell"
        event.parse()
        return event

    def out(self, txt):
        sys.stdout.write(str(txt))
        sys.stdout.write("\n")

    def announce(self, txt): self.out(txt)

    def say(self, channel, txt): self.out(txt)

    def prompt(self): 
        date = time.ctime(time.time()).split()[-2]
        if cfg.main.colors: txt = "%s %s<%s " % (date, GREEN, ENDC) 
        else: txt = "%s < " % date
        return txt

    def start(self):
        parse_cli()
        if cfg.main.scan:
            for fn in os.listdir(os.getcwd()):
                if fn.endswith(".egg"):
                    sys.path.insert(0, os.path.abspath(fn))
        plugs.init()
        if not cfg.main.shell:
            txt = " ".join(cfg.main.args)
            if txt: event = self.cmnd(txt) ; event.wait()
            return
        super().start()
        
    def join(self, channel): pass
