# cfg.py
#
#

""" default config."""

__copyright__ = "Copyright (c) 2016 Bart Thate, all rights disclaimed."

from meds.object import Object

import socket
import os

class Config(Object): pass

#:
xmpp = Config()
xmpp.prefix = "cfg"
xmpp.user = "meds@localhost"
xmpp.server = "localhost"
xmpp.username = "meds"
xmpp.channel = "#meds"
xmpp.nick = "meds"
xmpp.cfg = "xmpp"
xmpp.port = 5222
xmpp.owner = ""

#:
irc = Config()
irc.type = "irc"
irc.prefix = "cfg"
irc.server = "localhost"
irc.username = "meds"
irc.channel = "#meds"
irc.nick = "meds"
irc.cfg = "irc"
irc.owner = ""

main = Config()
main.path = False
main.prefix = "cfg"
main.colors = False
main.debug = False
main.background = False
main.openfire = True
main.shell = False
main.init = ""
main.workdir = os.path.expanduser("~/.meds")
main.loglevel = "error"
main.packages = ["meds.plugs", "meds.bots"]
main.default = ["meds.plugs.clock", "meds.plugs.system"]
main.modules = ""
main.exclude = ["meds.bots.test", ]
main.cfg = "main"
main.args = []

#:
udp = Config()
udp.prefix = "cfg"
udp.cfg = "udp"
udp.host = "localhost"
udp.port = 5500
udp.password = "boh"
udp.seed = "blablablablablaz" # needs to be 16 chars wide

#:
rest = Config()
rest.prefix = "cfg"
rest.cfg = "rest"
rest.hostname = socket.getfqdn()
rest.port = 10102

#:
rss = Config()
rss.cfg = "rss"
rss.display_list = ["published", "title", "description", "link"]
rss.sleeptime = 600
rss.ignore = []
rss.nosave = []

#:
cli = Config()
cli.welcome = "mogge!!"
cli.cfg = "cli"

cfg = Config()
cfg.main = main
cfg.xmpp = xmpp
cfg.rest = rest
cfg.irc = irc
cfg.udp = udp
cfg.rss = rss
cfg.cli = cli
