# meds/plugins/system.py
#
#

""" system services. """

from meds.plugs.clock import Repeater
from meds.scheduler import launcher
from meds.plugs import plugs

import types

def register(plugs):
    plugs.register("syncer", syncerd) 
    plugs.register("reload", reload)

def init(*args, **kwargs):
    todo = Repeater(60, syncerd, name="syncerd")
    launcher.launch(todo.start)

def syncerd(*args, **kwargs):
    for name, mod in plugs.items():
        if type(mod) not in [types.ModuleType, ]: continue
        syncer = getattr(mod, "sync", None)
        if syncer: syncer()

def reload(event): plugs.reload(event.rest)
