# scheduler.py
#
#

""" the schaeduler. """

__copyright__ = "Copyright (c) 2016 Bart Thate, all rights disclaimed."

from meds.errors import EDISPATCHER, EDISCONNECT, EFUNC, EREGISTER, EJSON, EATTRIBUTE
from meds.misc import elapsed, name, get_exception
from meds.launcher import launcher, Launcher
from meds.object import Object

import collections
import threading
import logging
import random
import types
import queue
import time
import os

class Scheduler(Object):

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self._queue = queue.Queue()
        self._status = "init"
        self._start = time.time()

    def dispatch(self, event): event.dispatch()
      
    def put(self, event):
        if self._status == "init": launcher.launch(self.loop) ; self._status = "loop"
        self._queue.put_nowait(event)
        
    def loop(self): 
        logging.warn("# Scheduler.loop")
        self._status = "running" 
        while self._status:
            event = self._queue.get()
            logging.debug(event.blaet())
            if event: self.dispatch(event)

    def stop(self): self._status = "" ; self.put(None)

launcher = Launcher()
scheduler = Scheduler()
