#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

setup(
    name='meds',
    version='1078',
    url='https://pikacode.com/bart/meds',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description=" antipsychotica zijn gif ",
    license='MIT',
    include_package_data=False,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/meds", "bin/meds-ps", "bin/meds-sed", "bin/meds-udp", "bin/meds-doctest"],
    packages=['meds',
              'meds.bots',
              'meds.plugs',
             ],
    long_description="""

Antipsychotica benadelen de gezondheid door het toedienen van voor het leven
of de gezondheid schadelijke stoffen. Met MEDS kan je bijhouden hoe
medicijnen je gezondheid schaden. Elke medicijn die je slikt is een
mishandeling begaan door de arts en de bedoeling is om het loggen daarvan
ook in de rechtbank te kunnen aanvoeren als bewijs van mishandeling.

Er zijn mogelijkheden om email in te lezen, een server te draaien die
deze kan tonen en connectie mogelijkheden naar chat servers om je log ook te
laten afbeelden. De bot logt met de tijd waarop er gelogt word dus een
selectie op een periode is goed te maken. 

Om de symptomen die ontstaan na het gebruik van medicijnen te kunnen
registreren zijn de volgende commando's beschikbaar:

1) deleted - toon welke objecten de "deleted" vlag gezet hebben
2) dump - dump objecten 
3) fetcher - haal rss feeds op
4) find - zoek voor een object
5) first - eerste object met een gegeven waarde
6) last - laatste object met een gegeven waarde
7) log - registreer text met een optioneel karma
8) mbox - importeer emails
9) rm - zet de "deleted" flag van een object
10) rss - voeg een rss url toe
11) timer - print een text op een tijdstip
12) todo - registreer een ding te doen
13) wisdom - dagelijkse meditatie

VOORBEELDEN:

* log <txt>
* log <txt> +5
* log <txt> -3

Met het find commando kan je zoeken in de log wanneer je voor het laatst
iets genomen heb, althans wanneer je voor het laatst iets hebt kunnen
loggen.

* find log
* find log=<zoekterm>
* find time=2015-12

OPTIES:

de volgend opties zijn via de -i commandline optie beschikbaar

1) rss - rss module.
2) irc - internet relay chat bot.
3) rest - rest interface.
4) system - system services.
5) xmpp - xmpp bot.
6) stats - statistics on suicide.
7) udp - relay txt through a udp port listener.
8) wvggz - puntje, puntje, puntje.
9) clock - timer, repeater and other clock based classes.

voor de andere commandline opties zie de --help optie.

MEDS draait op python3 en is nog in ALPHA mode.

""",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Utilities'],
)
